/*
Theme Name: Avada Child
Description: Child theme for Avada theme
Author: ThemeFusion
Author URI: https://theme-fusion.com
Template: Avada
Version: 1.0.0
Text Domain:  Avada
*/

/* IMPOSTAZIONE PASSWORD - START */

/* The message box is shown when the user clicks on the password field */
#message {
  display:none;
  background: #f1f1f1;
  color: #000;
  position: relative;
  padding: 20px;
  margin-top: 10px;
}

#message p {
  padding: 10px 35px;
  font-size: 18px;
}

/* Add a green text color and a checkmark when the requirements are right */
.valid {
  color: green;
}

.valid:before {
  position: relative;
  left: -35px;
  content: "\f00c";
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
}

/* Add a red text color and an "x" icon when the requirements are wrong */
.invalid {
  color: red;
}

.invalid:before {
  position: relative;
  left: -35px;
  content: "\f00d";
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
}
#user_pass {
	margin-bottom: 20px;
	text-align: center;
}
#set-pass {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  text-align: center;
}
#show-pass {
	width: 100%;
	text-align: center;
	margin-bottom: 20px;
}
.text-center {
	text-align: center;
}
/* IMPOSTAZIONE PASSWORD - END */

/* FORM - START */
form .fusion-form-checkbox label,
form .fusion-form-checkbox label a {
	font-weight: 100 !important;
	font-family: 'Lato' !important;
}
form .fusion-form-checkbox label a {
	text-decoration: underline;
}
.login .fusion-login-input-wrapper,
.login .fusion-form-password-field {
  position: relative;
}
.login #hide-pw {
  position: absolute;
  bottom: 22px;
  right: 0;
  width: 50px;
  height: 50px;
  border: 0;
  border-radius: 0 4px 4px 0;
  cursor: pointer;
  display: flex;
  justify-content: center;
  align-items: center;
}
.login #hide-pw::before {
  font-family: "Font Awesome 5 Free";
  content: "\f06e";
  line-height: 1;
  font-weight: 900;
  font-style: normal;
  width: 20px;
  height: 20px;
  font-size: 20px;
}
.login #hide-pw.visible::before {
  content: "\f06e";
}
.login #hide-pw.hidden::before {
  content: "\f070";
}
/* FORM - END */